package meerkat.voting.gui.panels.welcome_splash;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.managment.TwoWayNode;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * WelcomeSplashController handle the behavior of welcome splash class
 */
public class WelcomeSplashController extends TwoWayNode {

    private final Logger logger = LoggerFactory.getLogger(WelcomeSplashController.class);

    @FXML
    private void StartVotingProcess(MouseEvent mousePressed) {
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
        this.logger.debug("Jumping to the select channel object.");
    }

    @Override
    public void UpdateNode() {
        // There is no questions relevant to this panel so this method does nothing
    }
}
